summaryrefslogtreecommitdiffstats
path: root/source/ap/ghostscript-fonts-std
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/ghostscript-fonts-std')
-rw-r--r--source/ap/ghostscript-fonts-std/doinst.sh11
-rwxr-xr-xsource/ap/ghostscript-fonts-std/ghostscript-fonts-std.SlackBuild68
-rw-r--r--source/ap/ghostscript-fonts-std/slack-desc19
3 files changed, 98 insertions, 0 deletions
diff --git a/source/ap/ghostscript-fonts-std/doinst.sh b/source/ap/ghostscript-fonts-std/doinst.sh
new file mode 100644
index 000000000..3d8d40100
--- /dev/null
+++ b/source/ap/ghostscript-fonts-std/doinst.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/Type1
+ mkfontdir .
+ mkfontscale .
+ )
+fi
diff --git a/source/ap/ghostscript-fonts-std/ghostscript-fonts-std.SlackBuild b/source/ap/ghostscript-fonts-std/ghostscript-fonts-std.SlackBuild
new file mode 100755
index 000000000..635789495
--- /dev/null
+++ b/source/ap/ghostscript-fonts-std/ghostscript-fonts-std.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=ghostscript-fonts-std
+VERSION=${VERSION:-8.11}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf fonts
+tar xjvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+cd fonts || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 -o -perm 500 \) \
+ -exec chmod 644 {} \;
+
+# Move everything:
+mkdir -p $PKG/usr/share/fonts/Type1
+mv * $PKG/usr/share/fonts/Type1
+mkdir -p $PKG/usr/share/ghostscript
+( cd $PKG/usr/share/ghostscript ; ln -sf /usr/share/fonts/Type1 fonts )
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+( cd $PKG/usr/share/fonts/Type1
+ mv \
+ COPYING ChangeLog README* TODO \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+)
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/ghostscript-fonts-std/slack-desc b/source/ap/ghostscript-fonts-std/slack-desc
new file mode 100644
index 000000000..a2b9459ed
--- /dev/null
+++ b/source/ap/ghostscript-fonts-std/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ghostscript-fonts-std: ghostscript-fonts-std (fonts for the Ghostscript interpreter)
+ghostscript-fonts-std:
+ghostscript-fonts-std: These fonts are used by the GhostScript interpreter.
+ghostscript-fonts-std:
+ghostscript-fonts-std:
+ghostscript-fonts-std:
+ghostscript-fonts-std:
+ghostscript-fonts-std:
+ghostscript-fonts-std:
+ghostscript-fonts-std:
+ghostscript-fonts-std: